Subject: Re: bug#8083: cua global mark does much more than it announces

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 20 Jan 2021 18:54:16 +0100

Lennart Borgman <[email-masked]> writes:

> cua-toggle-global-mark doc string says:
>
>   "Set or cancel the global marker.
> When the global marker is set, CUA cut and copy commands will automatically
> insert the deleted or copied text before the global marker, even when the
> global marker is in another buffer.
> If the global marker isn't set, set the global marker at point in the current
> buffer.  Otherwise jump to the global marker position and cancel it.
> With prefix argument, don't jump to global mark when cancelling it."
>
> However when cua global mark is set quite a few other things also
> happens. For example self-insert-command is remapped so that the
> character you type is inserted at cua global mark.

(I'm going through old bug reports that unfortunately got no response at
the time.)

I've now adjusted the doc string to also mention inserted text in Emacs
28.

> I think also that this desing is not good . It is surprising to an
> uninformed user and it interferes very badly with viper for example.
>
> Kim, could we please remove this? Or do you have another suggestion?

I have no opinion on the functionality itself, but I'm going to guess
that there's not much enthusiasm to change it after all these years, so
I'm closing this bug report.  If people want to work on this, please
respond to the debbugs address and we'll reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no